// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Moonlight.Gui {
    
    
    public partial class MoonlightOptionsPanelWidget {
        
        private Gtk.VBox vbox1;
        
        private Gtk.VBox applicationOptionsBox;
        
        private Gtk.Label label1;
        
        private Gtk.Alignment alignment1;
        
        private Gtk.VBox vbox2;
        
        private Gtk.HBox hbox1;
        
        private Gtk.Label label2;
        
        private Gtk.Entry xapFilenameEntry;
        
        private Gtk.Alignment alignment2;
        
        private Gtk.VBox vbox3;
        
        private Gtk.CheckButton generateManifestCheck;
        
        private Gtk.Alignment alignment4;
        
        private Gtk.HBox hbox3;
        
        private Gtk.Label label6;
        
        private Gtk.Entry manifestTemplateFilenameEntry;
        
        private Gtk.Label label3;
        
        private Gtk.Alignment alignment5;
        
        private Gtk.VBox vbox4;
        
        private Gtk.CheckButton generateTestPageCheck;
        
        private Gtk.HBox hbox4;
        
        private Gtk.Label label5;
        
        private Gtk.Entry testPageFilenameEntry;
        
        private Gtk.Label label4;
        
        private Gtk.Alignment alignment7;
        
        private Gtk.VBox vbox6;
        
        private Gtk.CheckButton validateXamlCheck;
        
        private Gtk.CheckButton throwXamlErrorsCheck;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Moonlight.Gui.MoonlightOptionsPanelWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.Moonlight.Gui.MoonlightOptionsPanelWidget";
            // Container child MonoDevelop.Moonlight.Gui.MoonlightOptionsPanelWidget.Gtk.Container+ContainerChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 12;
            // Container child vbox1.Gtk.Box+BoxChild
            this.applicationOptionsBox = new Gtk.VBox();
            this.applicationOptionsBox.Name = "applicationOptionsBox";
            this.applicationOptionsBox.Spacing = 12;
            // Container child applicationOptionsBox.Gtk.Box+BoxChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.Xalign = 0F;
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("<b>XAP Generation</b>");
            this.label1.UseMarkup = true;
            this.applicationOptionsBox.Add(this.label1);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.applicationOptionsBox[this.label1]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child applicationOptionsBox.Gtk.Box+BoxChild
            this.alignment1 = new Gtk.Alignment(0.5F, 0.5F, 1F, 1F);
            this.alignment1.Name = "alignment1";
            this.alignment1.LeftPadding = ((uint)(16));
            // Container child alignment1.Gtk.Container+ContainerChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            // Container child vbox2.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label2 = new Gtk.Label();
            this.label2.Name = "label2";
            this.label2.LabelProp = Mono.Unix.Catalog.GetString("XAP _filename:");
            this.label2.UseUnderline = true;
            this.hbox1.Add(this.label2);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox1[this.label2]));
            w2.Position = 0;
            w2.Expand = false;
            w2.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.xapFilenameEntry = new Gtk.Entry();
            this.xapFilenameEntry.CanFocus = true;
            this.xapFilenameEntry.Name = "xapFilenameEntry";
            this.xapFilenameEntry.IsEditable = true;
            this.xapFilenameEntry.InvisibleChar = '●';
            this.hbox1.Add(this.xapFilenameEntry);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox1[this.xapFilenameEntry]));
            w3.Position = 1;
            this.vbox2.Add(this.hbox1);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox2[this.hbox1]));
            w4.Position = 0;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.alignment2 = new Gtk.Alignment(0.5F, 0.5F, 1F, 1F);
            this.alignment2.Name = "alignment2";
            // Container child alignment2.Gtk.Container+ContainerChild
            this.vbox3 = new Gtk.VBox();
            this.vbox3.Name = "vbox3";
            this.vbox3.Spacing = 6;
            // Container child vbox3.Gtk.Box+BoxChild
            this.generateManifestCheck = new Gtk.CheckButton();
            this.generateManifestCheck.CanFocus = true;
            this.generateManifestCheck.Name = "generateManifestCheck";
            this.generateManifestCheck.Label = Mono.Unix.Catalog.GetString("_Generate manifest");
            this.generateManifestCheck.DrawIndicator = true;
            this.generateManifestCheck.UseUnderline = true;
            this.vbox3.Add(this.generateManifestCheck);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox3[this.generateManifestCheck]));
            w5.Position = 0;
            w5.Expand = false;
            w5.Fill = false;
            // Container child vbox3.Gtk.Box+BoxChild
            this.alignment4 = new Gtk.Alignment(0.5F, 0.5F, 1F, 1F);
            this.alignment4.Name = "alignment4";
            this.alignment4.LeftPadding = ((uint)(36));
            // Container child alignment4.Gtk.Container+ContainerChild
            this.hbox3 = new Gtk.HBox();
            this.hbox3.Name = "hbox3";
            this.hbox3.Spacing = 6;
            // Container child hbox3.Gtk.Box+BoxChild
            this.label6 = new Gtk.Label();
            this.label6.Name = "label6";
            this.label6.LabelProp = Mono.Unix.Catalog.GetString("Te_mplate file:");
            this.label6.UseUnderline = true;
            this.hbox3.Add(this.label6);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.hbox3[this.label6]));
            w6.Position = 0;
            w6.Expand = false;
            w6.Fill = false;
            // Container child hbox3.Gtk.Box+BoxChild
            this.manifestTemplateFilenameEntry = new Gtk.Entry();
            this.manifestTemplateFilenameEntry.CanFocus = true;
            this.manifestTemplateFilenameEntry.Name = "manifestTemplateFilenameEntry";
            this.manifestTemplateFilenameEntry.IsEditable = true;
            this.manifestTemplateFilenameEntry.InvisibleChar = '●';
            this.hbox3.Add(this.manifestTemplateFilenameEntry);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.hbox3[this.manifestTemplateFilenameEntry]));
            w7.Position = 1;
            this.alignment4.Add(this.hbox3);
            this.vbox3.Add(this.alignment4);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.vbox3[this.alignment4]));
            w9.Position = 1;
            w9.Expand = false;
            w9.Fill = false;
            this.alignment2.Add(this.vbox3);
            this.vbox2.Add(this.alignment2);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.vbox2[this.alignment2]));
            w11.Position = 1;
            w11.Expand = false;
            w11.Fill = false;
            this.alignment1.Add(this.vbox2);
            this.applicationOptionsBox.Add(this.alignment1);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.applicationOptionsBox[this.alignment1]));
            w13.Position = 1;
            // Container child applicationOptionsBox.Gtk.Box+BoxChild
            this.label3 = new Gtk.Label();
            this.label3.Name = "label3";
            this.label3.Xalign = 0F;
            this.label3.LabelProp = Mono.Unix.Catalog.GetString("<b>Test Page</b>");
            this.label3.UseMarkup = true;
            this.applicationOptionsBox.Add(this.label3);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.applicationOptionsBox[this.label3]));
            w14.Position = 2;
            w14.Expand = false;
            w14.Fill = false;
            // Container child applicationOptionsBox.Gtk.Box+BoxChild
            this.alignment5 = new Gtk.Alignment(0.5F, 0.5F, 1F, 1F);
            this.alignment5.Name = "alignment5";
            this.alignment5.LeftPadding = ((uint)(16));
            // Container child alignment5.Gtk.Container+ContainerChild
            this.vbox4 = new Gtk.VBox();
            this.vbox4.Name = "vbox4";
            this.vbox4.Spacing = 6;
            // Container child vbox4.Gtk.Box+BoxChild
            this.generateTestPageCheck = new Gtk.CheckButton();
            this.generateTestPageCheck.CanFocus = true;
            this.generateTestPageCheck.Name = "generateTestPageCheck";
            this.generateTestPageCheck.Label = Mono.Unix.Catalog.GetString("Generate _test page");
            this.generateTestPageCheck.DrawIndicator = true;
            this.generateTestPageCheck.UseUnderline = true;
            this.vbox4.Add(this.generateTestPageCheck);
            Gtk.Box.BoxChild w15 = ((Gtk.Box.BoxChild)(this.vbox4[this.generateTestPageCheck]));
            w15.Position = 0;
            w15.Expand = false;
            w15.Fill = false;
            // Container child vbox4.Gtk.Box+BoxChild
            this.hbox4 = new Gtk.HBox();
            this.hbox4.Name = "hbox4";
            this.hbox4.Spacing = 6;
            // Container child hbox4.Gtk.Box+BoxChild
            this.label5 = new Gtk.Label();
            this.label5.Name = "label5";
            this.label5.LabelProp = Mono.Unix.Catalog.GetString("Test _page filename:");
            this.label5.UseUnderline = true;
            this.hbox4.Add(this.label5);
            Gtk.Box.BoxChild w16 = ((Gtk.Box.BoxChild)(this.hbox4[this.label5]));
            w16.Position = 0;
            w16.Expand = false;
            w16.Fill = false;
            // Container child hbox4.Gtk.Box+BoxChild
            this.testPageFilenameEntry = new Gtk.Entry();
            this.testPageFilenameEntry.CanFocus = true;
            this.testPageFilenameEntry.Name = "testPageFilenameEntry";
            this.testPageFilenameEntry.IsEditable = true;
            this.testPageFilenameEntry.InvisibleChar = '●';
            this.hbox4.Add(this.testPageFilenameEntry);
            Gtk.Box.BoxChild w17 = ((Gtk.Box.BoxChild)(this.hbox4[this.testPageFilenameEntry]));
            w17.Position = 1;
            this.vbox4.Add(this.hbox4);
            Gtk.Box.BoxChild w18 = ((Gtk.Box.BoxChild)(this.vbox4[this.hbox4]));
            w18.Position = 1;
            w18.Expand = false;
            w18.Fill = false;
            this.alignment5.Add(this.vbox4);
            this.applicationOptionsBox.Add(this.alignment5);
            Gtk.Box.BoxChild w20 = ((Gtk.Box.BoxChild)(this.applicationOptionsBox[this.alignment5]));
            w20.Position = 3;
            this.vbox1.Add(this.applicationOptionsBox);
            Gtk.Box.BoxChild w21 = ((Gtk.Box.BoxChild)(this.vbox1[this.applicationOptionsBox]));
            w21.Position = 0;
            // Container child vbox1.Gtk.Box+BoxChild
            this.label4 = new Gtk.Label();
            this.label4.Name = "label4";
            this.label4.Xalign = 0F;
            this.label4.LabelProp = Mono.Unix.Catalog.GetString("<b>XAML Validation</b>");
            this.label4.UseMarkup = true;
            this.vbox1.Add(this.label4);
            Gtk.Box.BoxChild w22 = ((Gtk.Box.BoxChild)(this.vbox1[this.label4]));
            w22.Position = 1;
            w22.Expand = false;
            w22.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.alignment7 = new Gtk.Alignment(0.5F, 0.5F, 1F, 1F);
            this.alignment7.Name = "alignment7";
            this.alignment7.LeftPadding = ((uint)(16));
            // Container child alignment7.Gtk.Container+ContainerChild
            this.vbox6 = new Gtk.VBox();
            this.vbox6.Name = "vbox6";
            this.vbox6.Spacing = 6;
            // Container child vbox6.Gtk.Box+BoxChild
            this.validateXamlCheck = new Gtk.CheckButton();
            this.validateXamlCheck.CanFocus = true;
            this.validateXamlCheck.Name = "validateXamlCheck";
            this.validateXamlCheck.Label = Mono.Unix.Catalog.GetString("_Validate XAML");
            this.validateXamlCheck.DrawIndicator = true;
            this.validateXamlCheck.UseUnderline = true;
            this.vbox6.Add(this.validateXamlCheck);
            Gtk.Box.BoxChild w23 = ((Gtk.Box.BoxChild)(this.vbox6[this.validateXamlCheck]));
            w23.Position = 0;
            w23.Expand = false;
            w23.Fill = false;
            // Container child vbox6.Gtk.Box+BoxChild
            this.throwXamlErrorsCheck = new Gtk.CheckButton();
            this.throwXamlErrorsCheck.CanFocus = true;
            this.throwXamlErrorsCheck.Name = "throwXamlErrorsCheck";
            this.throwXamlErrorsCheck.Label = Mono.Unix.Catalog.GetString("Throw _errors in XAML validation");
            this.throwXamlErrorsCheck.DrawIndicator = true;
            this.throwXamlErrorsCheck.UseUnderline = true;
            this.vbox6.Add(this.throwXamlErrorsCheck);
            Gtk.Box.BoxChild w24 = ((Gtk.Box.BoxChild)(this.vbox6[this.throwXamlErrorsCheck]));
            w24.Position = 1;
            w24.Expand = false;
            w24.Fill = false;
            this.alignment7.Add(this.vbox6);
            this.vbox1.Add(this.alignment7);
            Gtk.Box.BoxChild w26 = ((Gtk.Box.BoxChild)(this.vbox1[this.alignment7]));
            w26.Position = 2;
            this.Add(this.vbox1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.label2.MnemonicWidget = this.xapFilenameEntry;
            this.label5.MnemonicWidget = this.testPageFilenameEntry;
            this.Hide();
        }
    }
}
